LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
CsvLogFormatter Service Reference

specifies a service which formats log records for RFC4180-style CSV-Files More...

`import"CsvLogFormatter.idl";`

Inheritance diagram for CsvLogFormatter:

## Public Member Functions
| create ()
| creates a CsvLogFormatter instance More...
Public Member Functions inherited from XCsvLogFormatter
string | formatMultiColumn ([in] sequence< string > columnData)
| if the CsvLogFormatter is set to have more than one column, any logged information has to be send through this method before calling log(). More...
Public Member Functions inherited from XLogFormatter
string | getHead ()
| returns the header string for the log More...
string | format ([in] LogRecord Record)
| formats the given log record for output More...
string | getTail ()
| returns the footer string for the log More...

## Additional Inherited Members
Public Types inherited from XCsvLogFormatter
typedef sequence< string > | Columnnames
| Defines the names of the additional columns this defaults to only one row titled "message". More...
Public Attributes inherited from XCsvLogFormatter
boolean | LogEventNo
| Defines if the EventNo should be logged. More...
boolean | LogThread
| Defines if the ThreadId should be logged. More...
boolean | LogTimestamp
| Defines if the Timestamp should be logged. More...
boolean | LogSource
| Defines if the Source should be logged. More...

## Detailed Description

specifies a service which formats log records for RFC4180-style CSV-Files

Every log record, as passed to XCsvLogFormatter::format(), will be formatted into a single row for a CSV file. The sequence number, the thread ID, the time of the logged event, the source class/method name will get logged alongside the message, if this is not disabled. The Formatter also supports logging an arbitrary number of user-defined columns. If the Formatter is configured to have more than one (user-defined) column the data to log has to be preformatted with the formatMultiColumn method.

Since
  OOo 3.0

## Member Function Documentation

## ◆ create()

create | ( |  | ) |

creates a CsvLogFormatter instance

The documentation for this service was generated from the following file:

- com/sun/star/logging/CsvLogFormatter.idl